# Interface Command

All Known Implementing Classes:
  `AboutCommand, AbstractAction, AddParent, AddToTree, Analyze, ChangeLanguage, ChangeParent, CheckDirty, Clear, Close, CollapseExpand, Copy, CreateFunctionDialog, Cut, Duplicate, EditCommand, EnableComponent, ExitCommand, Help, Load, LoadRecentProject, LoggerPanelEnableDisable, LookAndFeelCommand, Move, Paste, RemoteStart, Remove, ResetSearchCommand, RevertProject, Save, SaveGraphics, SearchTreeCommand, SSLManagerCommand, Start, StopStoppables, TemplatesCommand, ToolBar, UndoCommand, What`

public interface Command

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

## Method Details

### doAction

void doAction(ActionEvent e) throws IllegalUserActionException

Throws:
  `IllegalUserActionException`

### getActionNames

Set<String> getActionNames()